package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag196;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT196Creator;

public class Tag11rCreator extends AbsTagCreate {
    private MT196Creator mt196Creator;

    public Tag11rCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt196Creator= (MT196Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11aValue = mt196Creator.getMtAndDateoftheOriginalMessage();
        mt196Creator.set("11R", tag11aValue);
    }
}
